Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api
Class MessagingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.MessagingException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ComponentException, CorrelationTimeoutException, FailedToQueueEventException, FilterUnacceptedException, MessageRedeliveredException, RestServiceException, RoutingException, SecurityException, TransformerMessagingException

    public class MessagingException

extends MuleException

`MessagingException` is a general message exception thrown when errors specific to Message processing occur..

See Also:
  Serialized Form

Field Summary
`protected MuleEvent` | `event` The MuleEvent being processed when the error occurred
`protected MuleMessage` | `muleMessage` The MuleMessage being processed when the error occurred

Constructor Summary
`MessagingException(Message message, MuleEvent event)`
`MessagingException(Message message, MuleEvent event, Throwable cause)`
`MessagingException(Message message, MuleMessage muleMessage)` Deprecated. use MessagingException(Message, MuleEvent)
`MessagingException(Message message, MuleMessage muleMessage, Throwable cause)` Deprecated. use MessagingException(Message, MuleEvent, Throwable)
`MessagingException(MuleEvent event, Throwable cause)`
`MessagingException(MuleMessage muleMessage, Throwable cause)` Deprecated. use MessagingException(MuleEvent, Throwable)

Method Summary
`MuleEvent` | `getEvent()`
`MuleMessage` | `getMuleMessage()`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, getSummaryMessage, getVerboseMessage, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### muleMessage

    protected final transient MuleMessage muleMessage

  The MuleMessage being processed when the error occurred

### event

    protected final transient MuleEvent event

  The MuleEvent being processed when the error occurred

Constructor Detail

### MessagingException

    @Deprecated
    public MessagingException(Message message,
                                         MuleMessage muleMessage)

  Deprecated. use MessagingException(Message, MuleEvent)

### MessagingException

    public MessagingException(Message message,
                              MuleEvent event)

### MessagingException

    @Deprecated
    public MessagingException(Message message,
                                         MuleMessage muleMessage,
                                         Throwable cause)

  Deprecated. use MessagingException(Message, MuleEvent, Throwable)

### MessagingException

    public MessagingException(Message message,
                              MuleEvent event,
                              Throwable cause)

### MessagingException

    @Deprecated
    public MessagingException(MuleMessage muleMessage,
                                         Throwable cause)

  Deprecated. use MessagingException(MuleEvent, Throwable)

### MessagingException

    public MessagingException(MuleEvent event,
                              Throwable cause)

Method Detail

### getMuleMessage

    public MuleMessage getMuleMessage()

### getEvent

    public MuleEvent getEvent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.